﻿@{
    Layout = null;
}


<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click='JbForm.goBack()'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Upload Supplemental Document
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div>
        <label for="Model.FormName" class="req-star ">Form name</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClass("FormName")>
            <input type="text" id="Model.FormName" name="FormName" ng-model="Model.FormName" required="" @Html.AngTooltipValidation("FormName") />
        </div>
    </div>
    <fieldset>
        <legend>Upload file</legend>
        <span class="message">You can select one or more files for your supplemental document.</span>

        <div class="JbForm">
            <input name="files"
                   type="file"
                   kendo-upload
                   k-async="{ saveUrl: '/KendoEditorFiles/Submit', removeUrl: '/KendoEditorFiles/Remove', autoUpload: true }"
                   k-select="onSelect"
                   k-success="onSuccess" />
        </div>
    </fieldset>

    <a class="place-left button link large" ng-click='JbForm.goBack()'>Back</a>
    <a ng-show="JbForm.EditMode" class="success place-right button large" ng-click='JbForm.Save()'>Save & continue</a>
    <div class="clearfix"></div>
</div>
